#ifndef XMATERIALSTREAMROUTING_H
#define XMATERIALSTREAMROUTING_H

#include "xasset.h"

class XMaterialStreamRouting : public XAsset
{
public:
    explicit XMaterialStreamRouting();
    ~XMaterialStreamRouting();

    virtual void Clear() override;
    virtual void ParseData(XDataStream *aStream) override;

private:
    quint8 mSource;
    quint8 mDest;
};

#endif // XMATERIALSTREAMROUTING_H
